CVE-2022-1852

NameCVE-2022-1852
DescriptionA NULL pointer dereference flaw was found in the Linux kernel’s KVM module, which can lead to a denial of service in the x86_emulate_insn in arch/x86/kvm/emulate.c. This flaw occurs while executing an illegal instruction in guest in the Intel CPU.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDSA-5161-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster4.19.249-2fixed
buster (security)4.19.260-1fixed
bullseye5.10.140-1fixed
bullseye (security)5.10.149-2fixed
bookworm6.0.10-1fixed
sid6.0.10-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcestretch(not affected)
linuxsourcebuster(not affected)
linuxsourcebullseye5.10.120-1DSA-5161-1
linuxsource(unstable)5.18.2-1

Notes

[buster] - linux <not-affected> (Vulnerable code not present)
[stretch] - linux <not-affected> (Vulnerable code not present)
https://git.kernel.org/linus/fee060cd52d69c114b62d1a2948ea9648b5131f9

Search for package or bug name: Reporting problems